{if $get['add']}
    {include file="$dir/extensions/PromoCodeAPI/templates/add_promo_set.tpl"}
{/if}
{if $get['edit']}
    {include file="$dir/extensions/PromoCodeAPI/templates/edit_promo_set.tpl"}
{/if}

<a href='{$before_path}/admin/addonmodules.php?module=puq_customization&extension=promo_code_api&action=promo_sets&add=1'
   class="btn btn-default">{$lang['Add new Promo Set']}</a>

<br>
<br>
<table class="datatable" style="width: 100%;">
    <tr class="header">
        <th>ID</th>
        <th>{$lang['Set Name']} / {$lang['API Ip Address']}</th>
        <th>{$lang['Promo Code Type']}</th>
        <th>{$lang['Value']}</th>
        <th>{$lang['Recurring']}</th>
        <th>{$lang['Max Uses']}</th>
        <th>{$lang['Start Date']}</th>
        <th>{$lang['Expiry Date']}</th>
        <th>{$lang['Notes']}</th>
    </tr>
    <tr>
        {foreach from=$promo_sets key=i item=value}
    <tr>
        <th style="padding: 4px; font-weight: 700; border-bottom: 1px solid #ddd; border-radius: 3px; text-align: center; color: #fff;">
            <a style="color: #fff;"
               href='{$before_path}/admin/addonmodules.php?module=puq_customization&extension=promo_code_api&action=promo_sets&edit={$value['id']}'>{$value['id']}</a>
        </th>
        <td style="text-align: center;"><a
                    href='{$before_path}/admin/addonmodules.php?module=puq_customization&extension=promo_code_api&action=promo_sets&edit={$value['id']}'>{$value['name']}&nbsp;<i class="fas fa-edit" style="font-size: 12px;"></i></a>
            <br>{$value['api_ip_address']}
            <br><a href="{$before_path}/{$value['url']}" target="_blank"><b>URL</b></a>
        </td>
        <td style="text-align: center;">{$value['promo_code_type']}</td>
        <td style="text-align: center;">{$value['promo_value']}</td>
        <td style="text-align: center;">
            {if $value['recurring'] == "1"}
                <i class="fa fa-check-square" style="color: green; font-size: 18px;"></i>
                For {if $value['recur_for'] == 0} {$lang['Unlimited']} {else} {$value['recur_for']} {/if} Times
            {else}
                <i class="fa fa-minus-square" style="color: #bcbcbc; font-size: 18px;"></i>
            {/if}</td>
        <td style="text-align: center;">{$value['max_uses']}</td>
        <td style="text-align: center;">{$value['start_date']}</td>
        <td style="text-align: center;">{$value['expiration_date']}</td>
        <td style="text-align: center;">
            {$value['notes']}
        </td>
    </tr>
    {/foreach}
</table>